Vraag & Antwoord

OS Linux

[SuSE 8.2] KDE 3.1.2 Yast2 "install and remove software

Anoniem
None
12 antwoorden
  • Na de upgrade in SuSE 8.2 naar KDE 3.1.2 bleek Yast2 Software installeren en verwijderen niet meer goed te functioneren. Toen ik op annuleren klikte verscheen: Alle wijzigingen opgeven? Ik kon dan kiezen uit OK en Annuleren Welke ik koos maakte niet uit, dit dialoog bleef terug komen. Nu las ik hiervoor een oplossing op: http://lists.suse.com/archive/suse-linux-e/2003-May/3606.html
    Alleen is het nu zo wanneer ik Yast2 Software installeren en verwijderen start, verschijnt:
    [code:1:00069f8be2]
    #### YaST2 conflicts list - generated 2003-07-12 13:46:10 ####

    qt3-devel 3.1.2-40 conflict
    Onopgeloste benodigdheden:
    qt3-devel heeft qt3 = 3.1.2- nodig
    Conflict resolutie:
    ( ) Negeer dit conflict en riskeer systeem inconsistenties
    qt3-extensions 3.1.2-47 conflict
    Onopgeloste benodigdheden:
    qt3-extensions heeft qt3 = 3.1.2- nodig
    Conflict resolutie:
    ( ) Negeer dit conflict en riskeer systeem inconsistenties
    qt3 niet beschikbaar
    Benodigd door:
    qt3-devel heeft qt3 = 3.1.2- nodig
    qt3-extensions heeft qt3 = 3.1.2- nodig
    qt3-non-mt heeft qt3 = 3.1.2- nodig
    Conflict resolutie:
    ( ) Verwijder alle 21 conflict-veroorzakende pakketten
    Verwijder arts-devel
    Verwijder qt3-postgresql
    Verwijder kdesdk3-devel
    Verwijder qt3-extensions
    Verwijder qt3-mysql
    Verwijder kdebase3-devel
    Verwijder kdegraphics3-devel
    Verwijder qt3-devel-tools
    13 meer…
    ( ) Negeer dit conflict en riskeer systeem inconsistenties
    qt3-non-mt 3.1.2-39 conflict
    Onopgeloste benodigdheden:
    qt3-non-mt heeft qt3 = 3.1.2- nodig
    Conflict resolutie:
    ( ) Negeer dit conflict en riskeer systeem inconsistenties

    #### YaST2 conflicts list END ###
    [/code:1:00069f8be2] Welke van de boven genoemde keuze is 'het beste'? Het Annuleer probleem is met boven genoemde oplossing idd opgelost. :roll:
  • Als KDE verder goed draait kun je deze conflicten gewoon negeren.

    Het is wel hinderlijk dat ze telkens tevoorschijn komen als je install/remove software van yast opstart, evt kun je het automatisch controleren op dependencies in yast uitschakelen.

    Max
  • [quote:085b22234c="maximilaan"]Als KDE verder goed draait kun je deze conflicten gewoon negeren. [/quote:085b22234c]
    Bedankt voor deze reactie, met die oude QT versie
    [code:1:085b22234c] qt3-3.1.1-62 [/code:1:085b22234c] is ook het probleem met Kwintv opgelost. http://forum.computertotaal.nl/phpBB2/viewtopic.php?p=572767&highlight;=#572767
    [quote:085b22234c] evt kun je het automatisch controleren op dependencies in yast uitschakelen. [/quote:085b22234c]
    Controleer afhankelijkheden Autocontrole in Yast2 Software installeren en verwijderen bleek al niet te zijn gevinked. Ik zelf dacht dat de laatst genoemde mogelijkheid [quote:085b22234c] Conflict resolutie:
    ( ) Negeer dit conflict en riskeer systeem inconsistenties [/quote:085b22234c] het beste is? Klopt dat? Of KDE nog goed werkt. Konqueror en Kedit lijken goed te werken. Welke KDE applicatie zou ik dan nog kunnen testen.
  • Geeneen, als kde opstart, dan werkt het dus verder goed.

    De optie 'negeer dit conflict' is idd degene die je kunt kiezen, of je drukt gewoon op 'annuleren'.
    Volgende keer komt deze waarschuwing toch weer terug (althans bij 8.1), dus..

    Max
  • [quote:e6d714144d="maximilaan"] Geeneen, als kde opstart, dan werkt het dus verder goed. [/quote:e6d714144d] KDE start idd goed op, maar toen ik daarna Yast2 starte, en op het moment dat ik op Software installeren en verwijderen klikte, liep het systeem vast. Toeval of toch een probleem met qt3-3.1.1-62
    De optie 'negeer dit conflict' heb ik dus (nog) niet kunnen proberen. Ik post deze post met een andere pc. Ik kan de vast gelopen pc niet meer pingen. [code:1:e6d714144d] …icmp_seq=21 Destination Host Unreachable [/code:1:e6d714144d] Dus zal ik wel weer op de reset knop moeten drukken. KwinTV stond ook aan op het moment van vastlopen en draait nog gewoon door. Alleen de pc zelf reageert niet meer op het toetsenbord of muis.

    Edit: Ofschoon KwinTV nog wel draait op de vast gelopen pc, staat de KDE klok wel stil op het tijdstip van vastlopen.
  • Op zich is het raar dat uitgerekend Yast crasht op de oude QT, aangezien deze met SusE 8.2 is meegeleverd (?)

    enige wat ik zou kunnen bedenken is dat je de aan qt-gerelateerde software (qt-devel, qt-extensions, qt-doc, qt-mit, etc. etc..) ook moet downgraden naar de vorige versie.

    Max
  • Ik heb inmiddels de vast gelopen pc gereboot met de reset knop. Alles lijkt nu weer in orde; Yast2 Software installeren en verwijderen kan weer gestart worden. Ik heb de qt-gerelateerde software nog niet gedowngrade, maar ik neem aan dat je deze bedoelt
    [code:1:ec982f4ab3]
    Conflict resolutie:
    ( ) Verwijder alle 21 conflict-veroorzakende pakketten
    Verwijder arts-devel
    Verwijder qt3-postgresql
    Verwijder kdesdk3-devel
    Verwijder qt3-extensions
    Verwijder qt3-mysql
    Verwijder kdebase3-devel
    Verwijder kdegraphics3-devel
    Verwijder qt3-devel-tools
    13 meer…
    Verwijder kpsion
    Verwijder qt3-man
    Verwijder qt3-non-mt
    Verwijder PyQt-devel
    Verwijder kdelibs3-devel
    Verwijder qt3-devel
    Verwijder kdevelop3
    Verwijder kconfigure
    Verwijder qt3-devel-doc
    Verwijder qt3-unixODBC
    Verwijder kdenetwork3-devel
    Verwijder kdemultimedia3-devel
    Verwijder kdelibs3-devel-doc
    [/code:1:ec982f4ab3] De optie 'negeer dit conflict' heb ik nu geprobeerd. Yast2 Software installeren en verwijderen klaagde er daarna niet meer over. Indien nodig kan ik boven genoemde software alsnog downgraden.
  • Ik bedoel eigenlijk alleen de qt-software, dus qt-mit, qt-devel, etc.

    Niet de kdesoftware, die kun je gerust zo laten.


    Max
  • [quote:5b66e2462c="maximilaan"]Ik bedoel eigenlijk alleen de qt-software, dus qt-mit, qt-devel, etc.
    Niet de kdesoftware, die kun je gerust zo laten. [/quote:5b66e2462c] Maar waarom klaagde Yast2 dan ook over de kdesoftware? Overigens ging het hier om een crash op mijn Dual Pentium III 1000 Mhz pc. Dus is het ook goed mogelijk dat de 2.4.20-64GB-SMP kernel crashte.
  • [quote:f8494c362f="maximilaan"]Ik bedoel eigenlijk alleen de qt-software, dus qt-mit, qt-devel, etc [/quote:f8494c362f]
    Na een tweede crash heb ik inmiddels de qt-software downgrade uitgevoerd. En de pc gereboot.
    [code:1:f8494c362f]
    jolo@dual:~> rpm -qa | grep qt3
    qt3-3.1.1-62
    qt3-mysql-3.1.1-68
    qt3-non-mt-3.1.1-65
    qt3-postgresql-3.1.1-68
    qt3-devel-tools-3.1.1-68
    qt3-unixODBC-3.1.1-68
    qt3-devel-3.1.1-62
    qt3-extensions-3.1.1-68
    qt3-man-3.1.1-68
    qt3-devel-doc-3.1.1-62
    jolo@dual:~>
    [/code:1:f8494c362f]
    Echter het crash probleem is niet opgelost. Wel is het zo dat ik als KwinTV niet aan staat in Yast2 Software installeren en verwijderen zelfs na 5 maal starten, de pc niet crashed. Met KwinTV aan, kon ik in Yast2 Software installeren en verwijderen 1 keer starten zonder crash. Maar de 2de keer crashte de pc alsnog. Het crashen is dus niet consequent. Hier de output van de interrupts.
    [code:1:f8494c362f]

    olo@dual:~> cat /proc/interrupts
    CPU0 CPU1
    0: 12818 0 XT-PIC timer
    1: 124 0 XT-PIC keyboard
    2: 0 0 XT-PIC cascade
    5: 20 0 XT-PIC eth0, ohci1394, usb-uhci, usb-uhci
    8: 2 0 XT-PIC rtc
    9: 1 0 XT-PIC acpi, bttv
    10: 674 0 XT-PIC EMU10K1
    12: 2016 0 XT-PIC PS/2 Mouse
    14: 8584 0 XT-PIC ide0
    15: 126 0 XT-PIC ide1
    NMI: 0 0
    LOC: 12746 12744
    ERR: 0
    MIS: 0
    jolo@dual:~>
    [/code:1:f8494c362f]
    Mijn Hauppauge TV-kaart zit dus op interrupt 9 waar ik liever geen hardware op zou willen zien, maar voor Linux zou dat geen probleem moeten zijn. Wel heb ik zojuist [code:1:f8494c362f] acpi=off [/code:1:f8494c362f] in mijn /boot/grub/menu.lst toegevoegd.
    [code:1:f8494c362f]
    title SuSE 8.2
    root (hd0,7)
    kernel /boot/vmlinuz root=/dev/hda8 vga=791 noapic hdc=ide-scsi acpi=off
    initrd /boot/initrd
    [/code:1:f8494c362f]
  • [quote:3331b1382b="jolo"] Maar waarom klaagde Yast2 dan ook over de kdesoftware?[/quote:3331b1382b]
    Omdat de rpm's van jouw kde-versie een andere qt-versie als dependencie hebben staan. Echter hoeft dat niet te betekenen dat dit een probleem is voor je systeem. Mocht je wel stabiliteitsproblemen met KDE houden is het misschien wel verstandig om ook kde te downgraden, maar in principe hoeft dat niet.

    Max
  • [quote:53f2ea3c3e="maximilaan"] Mocht je wel stabiliteitsproblemen met KDE houden is het misschien wel verstandig om ook kde te downgraden, maar in principe hoeft dat niet. [/quote:53f2ea3c3e] Dan laat ik kde voorlopig ongewijzigd. Die [code:1:53f2ea3c3e] acpi=off [/code:1:53f2ea3c3e] en ook het disablen van een niet gebruikte com poort in de BIOS, zodat de interrupt toewijzing anders werd
    [code:1:53f2ea3c3e]
    jolo@dual:~> cat /proc/interrupts
    CPU0 CPU1
    0: 72463 0 XT-PIC timer
    1: 570 0 XT-PIC keyboard
    2: 0 0 XT-PIC cascade
    4: 595 0 XT-PIC eth0, ohci1394, usb-uhci, usb-uhci
    5: 1 0 XT-PIC bttv
    8: 2 0 XT-PIC rtc
    10: 958 0 XT-PIC EMU10K1
    12: 38524 0 XT-PIC PS/2 Mouse
    14: 16485 0 XT-PIC ide0
    15: 123 0 XT-PIC ide1
    NMI: 0 0
    LOC: 72388 72387
    ERR: 0
    MIS: 0
    jolo@dual:~>
    [/code:1:53f2ea3c3e] bleek geen invloed te hebben op het crash probleem. Maar als KwinTV of Xawtv aan staat, kan de pc wel crashen in Yast2 Software installeren en verwijderen. Met KwinTV of Xawtv uit heb ik nog geen crash kunnen veroorzaken. Ofschoon ik niet zeker weet of KwinTV of Xawtv met de crash te maken hebben, lijkt het me voorlopig het beste Yast2 alleen te gebruiken als er geen andere programma's actief zijn. :roll:

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.